MWAWPictMac.cxx File Reference
`#include <cstring>`
`#include <map>`
`#include <sstream>`
`#include <string>`
`#include <vector>`
`#include <libwpd/libwpd.h>`
`#include "libmwaw_internal.hxx"`
`#include "MWAWDebug.hxx"`
`#include "MWAWInputStream.hxx"`
`#include "MWAWPictMac.hxx"`
`#include "MWAWPictBitmap.hxx"`

## Classes

class | libmwaw_applepict1::Region
| Internal and low level: class used to read/store a picture region. More...
struct | libmwaw_applepict1::Bitmap
| Internal and low level: a class used to read pack/unpack black-white bitmap. More...
struct | libmwaw_applepict1::ColorTable
| Internal and low level: a class used to read a color map in a Apple Pict. More...
struct | libmwaw_applepict1::Pixmap
| Internal and low level: a class used to read pack/unpack color pixmap (version 2) More...
struct | libmwaw_applepict1::Pixpattern
| Internal and low level: a class used to read pack/unpack color pixmap (version 2) More...
struct | libmwaw_applepict1::Value
| Internal and low level: a class used to read and store all possible value. More...
struct | libmwaw_applepict1::OpCode
| Internal and low level: a class to define each opcode and their arguments and read their data. More...
class | libmwaw_applepict1::PictParser
| internal and low level: map opcode id -> OpCode More...
struct | libmwaw_applepict2::Value
| Internal and low level: a class used to read and store all possible value. More...
struct | libmwaw_applepict2::OpCode
| Internal and low level: a class to define each opcode and their arguments and read their data. More...
class | libmwaw_applepict2::PictParser
| internal and low level: map opcode id -> OpCode More...

## Namespaces

| libmwaw_applepict1
| Internal and low level: generic tools about Mac Pict1.0 picture.
| libmwaw_applepict2
| Internal and low level: generic tools about Mac Pict2.0 picture.

## Macros

#define | DEBUG_PICT 0
#define | DEBUG_BITMAP 1
#define | ADD_DATA_SHORT(resPtr, val)

## Enumerations

enum

libmwaw_applepict1::DataType {
libmwaw_applepict1::WP_NONE, libmwaw_applepict1::WP_BYTE, libmwaw_applepict1::WP_UBYTE, libmwaw_applepict1::WP_INT,
libmwaw_applepict1::WP_UINT, libmwaw_applepict1::WP_UFIXED, libmwaw_applepict1::WP_COLOR, libmwaw_applepict1::WP_PATTERN,
libmwaw_applepict1::WP_POINT, libmwaw_applepict1::WP_POINTBYTE, libmwaw_applepict1::WP_POINTUBYTE, libmwaw_applepict1::WP_POLY,
libmwaw_applepict1::WP_RECT, libmwaw_applepict1::WP_REGION, libmwaw_applepict1::WP_TEXT, libmwaw_applepict1::WP_LTEXT,
libmwaw_applepict1::WP_BITMAP, libmwaw_applepict1::WP_RBITMAP, libmwaw_applepict1::WP_PBITMAP, libmwaw_applepict1::WP_RPBITMAP,
libmwaw_applepict1::WP_UNKNOWN, libmwaw_applepict1::WP_CCOLOR, libmwaw_applepict1::WP_CPATTERN, libmwaw_applepict1::WP_CBITMAP,
libmwaw_applepict1::WP_CRBITMAP, libmwaw_applepict1::WP_QUICKTIME
}

| Internal and low level: the different types of arguments. More...

## Variables

static OpCode const | libmwaw_applepict1::s_listCodes []
| internal and low level: list of known opcodes More...
static OpCode const | libmwaw_applepict2::s_listCodes []
| internal and low level: list of new opcodes More...
static PictParser | libmwaw_applepict1::s_parser
| the map id -> opcode More...
static PictParser | libmwaw_applepict2::s_parser
| the map id -> opcode More...

## Macro Definition Documentation

#define ADD_DATA_SHORT | ( |  | resPtr,
|  |  | val
| ) |  |

Value:
do { \
*(resPtr++) = (unsigned char)((val & 0xFF00) >> 8); \
*(resPtr++) = (unsigned char) (val & 0xFF); } while(0)

Referenced by libmwaw_applepict1::PictParser::convertToPict2().

#define DEBUG_BITMAP 1

#define DEBUG_PICT 0